%define name cairomm
%define version 1.8.0
%define release %mkrel 1
%define api 1.0
%define major       1
%define libname        %mklibname %name %{api}_%{major}
%define libnamedev     %mklibname -d %name %{api}

Summary: C++ API for the cairo multi-platform 2D graphics library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://cairographics.org/releases/%{name}-%{version}.tar.gz
License: LGPLv2+
Group: System/Libraries
Url: http://cairographics.org/cairomm
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cairo-devel
BuildRequires: sigc++2.0-devel
BuildRequires: doxygen

%description
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libname}
Summary:	Cairomm - multi-platform 2D graphics library
Group:		System/Libraries

%description -n %{libname}
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%package -n %{libnamedev}
Summary:	Development files for Cairomm library
Group:		Development/C++
Requires:	%{libname} = %version
Provides:	%{name}-devel = %version-%release
Provides:	lib%{name}-devel = %version-%release
Provides:	lib%{name}%api-devel = %version-%release
Obsoletes:      %mklibname -d %name 1.0_1

%description -n %libnamedev
This is a C++ API for the Cairo graphics library.

Cairo provides anti-aliased vector-based rendering for X. Paths
consist of line segments and cubic splines and can be rendered at any
width with various join and cap styles. All colors may be specified
with optional translucence (opacity/alpha) and combined using the
extended Porter/Duff compositing algebra as found in the X Render
Extension.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot%_datadir/doc/libcairomm-1.0/* installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post	-n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun	-n %{libname} -p /sbin/ldconfig
%endif

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%_libdir/libcairomm-%{api}.so.%{major}*

%files -n %libnamedev
%defattr(644,root,root,755)
%doc installed-docs/*
%_libdir/lib*.so
%_libdir/lib*.a
%attr(644,root,root) %_libdir/lib*.la
%_includedir/*
%_libdir/pkgconfig/*.pc


%changelog
* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 1.8.0-1mdv2009.1
+ Revision: 334733
- update to new version 1.8.0

* Mon Dec 22 2008 Götz Waschk <waschk@mandriva.org> 1.7.2-1mdv2009.1
+ Revision: 317474
- update to new version 1.7.2

* Fri Nov 07 2008 Götz Waschk <waschk@mandriva.org> 1.7.0-2mdv2009.1
+ Revision: 300542
- rebuild for new libxcb

* Sun Oct 26 2008 Götz Waschk <waschk@mandriva.org> 1.7.0-1mdv2009.1
+ Revision: 297479
- fix build deps
- update to new version 1.7.0

* Tue Sep 16 2008 Götz Waschk <waschk@mandriva.org> 1.6.4-1mdv2009.0
+ Revision: 285131
- update to new version 1.6.4

* Sun Aug 31 2008 Götz Waschk <waschk@mandriva.org> 1.6.2-1mdv2009.0
+ Revision: 277788
- new version

* Wed Aug 06 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.6.0-2mdv2009.0
+ Revision: 264343
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Apr 21 2008 Götz Waschk <waschk@mandriva.org> 1.6.0-1mdv2009.0
+ Revision: 196132
- new version
- drop patch
- update license tag

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 1.5.0-1mdv2009.0
+ Revision: 192432
- new version

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 1.4.6-2mdv2008.1
+ Revision: 190294
- fix for a small cairo API change

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 22 2007 Götz Waschk <waschk@mandriva.org> 1.4.6-1mdv2008.1
+ Revision: 111172
- new version

* Tue Aug 07 2007 Götz Waschk <waschk@mandriva.org> 1.4.4-1mdv2008.0
+ Revision: 59720
- new version
- new devel name

* Mon Jul 16 2007 Götz Waschk <waschk@mandriva.org> 1.4.2-1mdv2008.0
+ Revision: 52397
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2007.1
+ Revision: 13551
- Import cairomm



* Tue Apr 10 2007 Götz Waschk <waschk@mandriva.org> 1.2.4-1mdv2007.1
- New version 1.2.4

* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- New release 1.2.2

* Mon Aug 21 2006 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdv2007.0
- new major
- drop patch
- New release 1.2.0

* Mon Jun 19 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-4mdv2007.0
- fix build

* Tue Jun 06 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.0
- Rebuild

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-2mdk
- fix buildrequires

* Fri May 12 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- initial package
